function Countdown(time, tickInterval, tickCallback, finishedCallback){
	this.initialTime = time;
	this.time = time;
	this.tickInterval = tickInterval;
	this.tickCallback = tickCallback;
	this.finishedCallback = finishedCallback;

	this.interval = null;
	this.start = function(){
		var that = this;
		this.interval = setInterval(function(){
			that.time -= that.tickInterval;
			if(that.time <= 0){
				that.finish();
			}
			if(typeof that.tickCallback == 'function'){
				that.tickCallback(that.time, that);
			}
		}, this.tickInterval);
	};
	this.finish = function(){
		if(typeof this.finishedCallback == 'function'){
			clearInterval(this.interval);
			this.finishedCallback(this);
		}
	}
}